#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

//define the digital pin that the LED strip is connected to
#define PIN 9

//the first parameter is the number of LEDs you have - change for your strip
Adafruit_NeoPixel strip = Adafruit_NeoPixel(3, PIN, NEO_GRB + NEO_KHZ800);
int slidePin = 1;
int potPin = 0;
int buttonPin = 8;
int incomingByte;
void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  strip.begin();
  strip.show();
}

void loop() {
  // put your main code here, to run repeatedly:
  int slide = analogRead(slidePin);
  int pot = analogRead(potPin);
  int button = digitalRead(buttonPin);

  Serial.print(slide);
  Serial.print(",");
  Serial.print(pot);
  Serial.print(",");
  Serial.println(button);
  delay(10);

  //listen for incoming data and read it
  if(Serial.available() > 0){
    incomingByte = Serial.read();
    if(incomingByte == 'f'){
      for(uint16_t i=0; i<strip.numPixels(); i++) {
        strip.setPixelColor(i, 0, 0, 255);
      }
      strip.show();
    }
    if(incomingByte == 'h'){
      for(uint16_t i=0; i<strip.numPixels()-1; i++) {
        strip.setPixelColor(i, 0, 0, 255);
      }
      strip.setPixelColor(2,0,0,0);
      strip.show();
    }
    if(incomingByte == 'c'){
      strip.setPixelColor(0,0,0,255);
      for(uint16_t i=1; i<strip.numPixels(); i++) {
        strip.setPixelColor(i, 0, 0, 0);
      }
      strip.show();
    }
    if(incomingByte == 'x'){
      for(uint16_t i=0; i<strip.numPixels(); i++) {
        strip.setPixelColor(i, 0, 0, 0);
      }
      strip.show();
    }
  }
}
